/*
 *  Extract from class BurnIT
 *  Copyright (C) 1998  Jesper Pedersen <jews@imada.ou.dk>
 *  This code is released under GNU GPL version 2 or later
 */
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.util.*;
import java.lang.*;

public class BurnIT extends Frame implements ActionListener {
  private Button Setup_button;
  private String VERSIONSTRING = new String("BurnIT "); 
  private Font font, font2;            

  public BurnIT() {
    setTitle("BurnIT");

    font = new Font("Helvetica", Font.BOLD, 12);
    font2 = new Font("Helvetica", Font.BOLD, 26);

    // Set the background color
    setBackground(Color.white);

    Setup_button = new Button("Setup");
    Setup_button.setForeground(Color.black);
    Setup_button.setBackground(Color.lightGray);
    add("South", Setup_button);
    Setup_button.addActionListener(this);

    setSize(300,350);
    setResizable(false);
    show();
    repaint();
  }

  public void paint(Graphics g) {
    Setup_button.setBounds(200,50,80,34);
    g.setFont(font2);
    g.setColor(Color.black);
    g.drawString(VERSIONSTRING,30,80);
    g.setFont(font);
    g.setColor(Color.black);
    g.setFont(font);
    g.setColor(Color.black);
    g.drawString("A JAVA front-end to mkisofs and cdrecord",20,310);
    g.drawString("by Jesper Pedersen <jews@imada.ou.dk>",20,325);
    g.drawString("1998 (C)",220,340);
  }

  public static void main(String argv[]) {
    BurnIT myself;

    myself = new BurnIT();
  }

  public void actionPerformed(ActionEvent event) {
    if (event.getSource() == Setup_button) {
	System.out.println(event);
    };
  }
}
